Get all teams
curl --request GET \
--url https://api.vantage.sh/v2/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/teams",
"first": "https://api.vantage.sh/v2/teams?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/teams?page=1",
"prev": null
},
"teams": [
{
"token": "team_2d4733920ec4385e",
"name": "Prod Team",
"description": "Handles all production deployments",
"workspace_tokens": [
"wrkspc_08026aa5fb4c90f8"
],
"user_tokens": [
"usr_c59398553e838116"
],
"default_dashboard_token": null
}
]
}Teams
Get all teams
Return all Teams that the current API token has access to.
GET
/
teams
Get all teams
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I